#!/bin/bash

# Wrapper for protractor/node bug when running e2e tests inside docker container
# @see https://github.com/angular/protractor/issues/5453

# Ensure Chromedriver is at the right version
./node_modules/.bin/webdriver-manager update --gecko=false --versions.chrome=83.0.4103.39

COMMAND="./node_modules/.bin/ng e2e $@"
# echo "Commande: $COMMAND"

# Are we inside a GitLab CI/CD job (in Docker) ?
if [ "$CI_JOB_ID" == "" ]; then
	# No: just run the command normally, to benefit from progressive output
	eval $COMMAND
else
	# Yes: capture Protractor output
	OUT=$(eval $COMMAND 2>&1)

	# Store return code of ng e2e
	RET=$?

	# Still display output on screen
	echo "$OUT"

	# Look for success indicator
	echo "$OUT" | grep "SUCCESS"

	# OK if ng e2e command returned 0 or else SUCCESS was found in output
	if [[ "$RET" == 0 || "$?" == 0 ]]; then
		exit 0
	else
		exit 1
	fi
fi
